## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaOracleHelper

### DatabaseSchema::ezcDbSchemaOracleHelper

### Class ezcDbSchemaOracleHelper

Handler for storing database schemas and applying differences that uses Oracle as backend.

Source for this file: /DatabaseSchema/src/handlers/oracle/helper.php

Version: | //autogentag//

### Constants

`IDENTIFIER_MAX_LENGTH = 30` | Constant for the maximum identifier length.

### Method Summary

public static string | `generateSuffixCompositeIdentName( $tableName , $fieldName , $suffix )` Generate composite identifier name for sequence or triggers and looking for oracle 30 chars ident restriction.
public static string | `generateSuffixedIdentName( $identNames , $suffix )` Generate single identifier name for constraints for example obeying oracle 30 chars ident restriction.

### Methods

#### generateSuffixCompositeIdentName

static string generateSuffixCompositeIdentName( string $tableName , string $fieldName , string $suffix )

Generate composite identifier name for sequence or triggers and looking for oracle 30 chars ident restriction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$tableName` | string |
`$fieldName` | string |
`$suffix` | string |

#### generateSuffixedIdentName

static string generateSuffixedIdentName( $identNames , string $suffix )

Generate single identifier name for constraints for example obeying oracle 30 chars ident restriction.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$identNames` | array |
`$suffix` | string |

Documentation generated by phpDocumentor 1.4.3